import sys
import re
load("verify.sage")
dimension=6405

print 'loading "8! / ((4-|sigma|/2)!^2) * [[A^sigma x B^sigma]]_sigma" coefficients for Cauchy-Schwarz calculus'
CS_tables=[]
for i in xrange(24):
	CS_tables.append(load_CS_table('CS%d'%i))


	
# lower bound on c5
print "computing a lower bound on c5..."
problem_filename="c5lb"
f=open(problem_filename)
line=f.readline()
objective_lefthandside=vector(map(QQ, re.split(' ', line[:-1])))
# we compute \sum x_i*F_i >= 0
proven_inequality= compute_nonnegative_inequality(f)
f.close()
# we can add the inequality c*\sum F_i >= 1 as long as objective >= proven + c*\sum F_i
lowerbound=min(objective_lefthandside - proven_inequality) 
print "  Lower bound: ", lowerbound, "~", float(lowerbound)


# lower bound on c6
print "computing a lower bound on c6..."
problem_filename="c6lb"
f=open(problem_filename)
line=f.readline()
objective_lefthandside=vector(map(QQ, re.split(' ', line[:-1])))
# we compute \sum x_i*F_i >= 0
proven_inequality= compute_nonnegative_inequality(f)
f.close()
# we can add the inequality c*\sum F_i >= 1 as long as objective >= proven + c*\sum F_i
lowerbound=min(objective_lefthandside - proven_inequality) 
print "  Lower bound: ", lowerbound, "~", float(lowerbound)
